Update asset
PATCH
/v1/assets/{id}
const url = 'http://api.disclosebot.localdev:3000/v1/assets/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'}, body: '{ "data": { "type": "example", "id": "example", "attributes": {} } }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url http://api.disclosebot.localdev:3000/v1/assets/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/vnd.api+json' \ --data '{ "data": { "type": "example", "id": "example", "attributes": {} } }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/vnd.api+json
object
data
object
type
string
id
string
attributes
object
Example generated
{ "data": { "type": "example", "id": "example", "attributes": {} }}Responses
Section titled “ Responses ”Updated